package test.cn.unitid.realidentity.openapi.sdk;

import cn.unitid.witeye.sdk.ApiClient;
import cn.unitid.witeye.sdk.ApiException;
import cn.unitid.witeye.sdk.DefaultApiClient;
import cn.unitid.witeye.sdk.request.VerificationEntGetStatusRequest;
import cn.unitid.witeye.sdk.request.VerificationEntGetTokenRequest;
import cn.unitid.witeye.sdk.response.VerificationEntGetStatusResponse;
import cn.unitid.witeye.sdk.response.VerificationEntGetTokenResponse;


/**
 * @author qzh
 * @create 2021-01-13-14:52
 */
public class VerificationEntGetStatus {
    public static void main(String[] args) {
        //提供的url
        String url = "http://eapi.spiderid.cn/openapi/verification";
        //您的appKey
        String appkey = "xxx";
        //您的appSecret
        String secretKey = "xxx";


        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

        VerificationEntGetStatusRequest req = new VerificationEntGetStatusRequest();


        req.setAuthToken("xxx");


        try {
            VerificationEntGetStatusResponse response = apiClient.execute(req);
            //后续业务处理
			if(response.isSuccess()){
                // 接口调用正常
            }else{
                // 接口调用失败
                int errorCode = response.getErrorCode();//获取失败状态码
                String msg = response.getMsg();//获取错误消息
            }
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }


}
