package test.cn.unitid.realidentity.openapi.sdk;

import cn.unitid.witeye.sdk.ApiClient;
import cn.unitid.witeye.sdk.ApiException;
import cn.unitid.witeye.sdk.DefaultApiClient;
import cn.unitid.witeye.sdk.request.VerificationEntGetTokenRequest;
import cn.unitid.witeye.sdk.request.VerificationGetTokenRequest;
import cn.unitid.witeye.sdk.response.VerificationEntGetTokenResponse;
import cn.unitid.witeye.sdk.response.VerificationGetTokenResponse;

/**
 * @author qzh
 * @create 2021-01-12-16:30
 */
public class VerificationEntGetToken {
    public static void main(String[] args) {
        //提供的url
        String url = "http://eapi.spiderid.cn/openapi/verification";
        //您的appKey
        String appkey = "xxx";
        //您的appSecret
        String secretKey = "xxx";


        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

        VerificationEntGetTokenRequest req = new VerificationEntGetTokenRequest();



        //运行环境
        //SDK_ANDROID: 以SDK运行 支持Android
        //SDK_IOS: 以SDK运行  IOS
        //H5: H5运行 支持大多数手机浏览器
        req.setRunEnv("SDK_ANDROID");

          //服务器通知地址(选填)
//        req.setNotifyUrl("xxx");
          //办理人身份证号
//        req.setPersonIdcard("xxx");
          //办理人姓名
//        req.setPersonName("xxx");
          //办理人手机号码
//        req.setPersonMobile("xxx");

        try {
            VerificationEntGetTokenResponse response = apiClient.execute(req);
            //后续业务处理
			if(response.isSuccess()){
                // 接口调用正常
            }else{
                // 接口调用失败
			    int errorCode = response.getErrorCode(); //获取失败状态码
                String msg = response.getMsg(); //获取错误消息
            }
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
